import React, { HTMLAttributes } from 'react';
interface IFlexContainerProps extends HTMLAttributes<HTMLDivElement> {
    width?: string | number;
    height?: string | number;
    inlineFlex?: boolean;
    wrap?: 'nowrap' | 'wrap' | 'wrap-reverse';
    justifyContent?: 'flex-start' | 'flex-end' | 'center' | 'space-between' | 'space-around';
    alignItems?: 'stretch' | 'flex-start' | 'flex-end' | 'center' | 'baseline';
    alignContent?: 'stretch' | 'flex-start' | 'flex-end' | 'center' | 'space-between' | 'space-around';
    direction?: 'row' | 'column' | 'row-reverse' | 'column-reverse';
}
export declare const FlexContainer: React.FunctionComponent<IFlexContainerProps>;
export {};
//# sourceMappingURL=FlexContainer.d.ts.map