import React, { HTMLAttributes } from 'react';
interface IFlexItemProps extends HTMLAttributes<HTMLDivElement> {
    width?: string | number;
    height?: string | number;
    flex?: string | number;
    grow?: number;
    basis?: string | number;
    shrink?: string | number;
    alignSelf?: 'auto' | 'flex-start' | 'flex-end' | 'center' | 'baseline' | 'stretch';
}
export declare const FlexItem: React.FunctionComponent<IFlexItemProps>;
export {};
//# sourceMappingURL=FlexItem.d.ts.map