import { SelectHTMLAttributes } from 'react';
export interface ISelectOption {
    value: any;
    name: string;
    disabled?: boolean;
}
export interface ISelectProps extends SelectHTMLAttributes<HTMLSelectElement> {
    name?: any;
    options?: ISelectOption[];
    loading?: boolean;
    title?: string;
    defaultValue?: any;
    value?: any;
    onChange?: (v: any) => void;
    disabled?: boolean;
    error?: string;
    color?: string;
    rightRadio?: boolean;
    as?: any;
}
//# sourceMappingURL=Select.interface.d.ts.map