"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Container = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var theme_interface_1 = require("../../types/theme.interface");
var css = styled_components_1.default.div;
exports.Container = css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n   position: relative;\n\n   option {\n      color: black;\n      -webkit-appearance: none;\n   }\n   \n   .select-box {\n      position: relative;\n      width: 100%;\n\n      .select-icon {\n         position: absolute;\n         height: 100%;\n         right: 0px;\n         top: 0px;\n         width: 30px;\n         text-align: center;\n         display: flex;\n         font-size: 17px;\n         justify-content: center;\n         align-items: center;\n         pointer-events: none;\n         z-index: 1;\n\n         &:hover {\n            cursor: pointer;\n         }\n      }\n   }\n   \n   .suffix-loading {\n      position: absolute;\n      height: 100%;\n      right: 30px;\n      top: 0px;\n      width: 30px;\n      text-align: center;\n      display: -webkit-box;\n      display: -webkit-flex;\n      display: -ms-flexbox;\n      display: flex;\n      font-size: 17px;\n      -webkit-box-pack: center;\n      -webkit-justify-content: center;\n      -ms-flex-pack: center;\n      justify-content: center;\n      -webkit-align-items: center;\n      -webkit-box-align: center;\n      -ms-flex-align: center;\n      align-items: center;\n      pointer-events: none;\n      z-index: 1;s\n   }\n\n   select {\n      -webkit-appearance: none;\n      -moz-appearance: none;\n      appearance: none;\n      border-radius: 3px;\n      padding: 7px 15px;\n      padding-right: 40px;\n      width: 100%;\n      background: white;\n      border: 2px solid rgba(0, 0, 0, 0.25);\n      color: #444;\n      font-weight: 500;\n      padding-right: 26px;\n      border-radius: 3px;\n      font-size: 14px;\n      font-weight: 600;\n      z-index: 1;\n      position: relative;\n      background: transparent;\n\n      &:hover {\n         cursor: pointer;\n      }\n\n      &.has-error {\n         border-color: ", " !important;\n      }\n\n      &:focus,\n      &.focus {\n         border-color: ", ";\n      }\n   }\n"], ["\n   position: relative;\n\n   option {\n      color: black;\n      -webkit-appearance: none;\n   }\n   \n   .select-box {\n      position: relative;\n      width: 100%;\n\n      .select-icon {\n         position: absolute;\n         height: 100%;\n         right: 0px;\n         top: 0px;\n         width: 30px;\n         text-align: center;\n         display: flex;\n         font-size: 17px;\n         justify-content: center;\n         align-items: center;\n         pointer-events: none;\n         z-index: 1;\n\n         &:hover {\n            cursor: pointer;\n         }\n      }\n   }\n   \n   .suffix-loading {\n      position: absolute;\n      height: 100%;\n      right: 30px;\n      top: 0px;\n      width: 30px;\n      text-align: center;\n      display: -webkit-box;\n      display: -webkit-flex;\n      display: -ms-flexbox;\n      display: flex;\n      font-size: 17px;\n      -webkit-box-pack: center;\n      -webkit-justify-content: center;\n      -ms-flex-pack: center;\n      justify-content: center;\n      -webkit-align-items: center;\n      -webkit-box-align: center;\n      -ms-flex-align: center;\n      align-items: center;\n      pointer-events: none;\n      z-index: 1;s\n   }\n\n   select {\n      -webkit-appearance: none;\n      -moz-appearance: none;\n      appearance: none;\n      border-radius: 3px;\n      padding: 7px 15px;\n      padding-right: 40px;\n      width: 100%;\n      background: white;\n      border: 2px solid rgba(0, 0, 0, 0.25);\n      color: #444;\n      font-weight: 500;\n      padding-right: 26px;\n      border-radius: 3px;\n      font-size: 14px;\n      font-weight: 600;\n      z-index: 1;\n      position: relative;\n      background: transparent;\n\n      &:hover {\n         cursor: pointer;\n      }\n\n      &.has-error {\n         border-color: ", " !important;\n      }\n\n      &:focus,\n      &.focus {\n         border-color: ", ";\n      }\n   }\n"])), function (props) { return props.theme.red; }, function (props) { return props.theme.primary || theme_interface_1.ThemeDefault.primary; });
var templateObject_1;
//# sourceMappingURL=Select.style.js.map