import React from 'react';
export interface ISlider {
    items: ({
        image: string;
        rotate?: number;
    } | React.ComponentType)[];
    height?: string | number;
    width?: string | number;
    boxCountPos?: 'top-left' | 'top-right' | 'top-center' | 'bottom-left' | 'bottom-right' | 'bottom-center';
    showBoxCount?: boolean;
    fullScreen?: boolean;
    arrowSize?: number;
    slidePos?: number;
    onChangeSlide?: (slidePos: any) => void;
    onRequestClose?: () => void;
    onClickImage?: () => void;
    visible?: boolean;
}
//# sourceMappingURL=SliderFullscreen.interface.d.ts.map