"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabsContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var theme_interface_1 = require("../../types/theme.interface");
var css = styled_components_1.default.div;
exports.TabsContainer = css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n   .tabs {\n      white-space: nowrap;\n      overflow-x: auto;\n      overflow-y: hidden;\n      width: 100%;\n      position: relative;\n\n      .tab-selector {\n         content: '';\n         width: 55px;\n         height: 30px;\n         position: absolute;\n         background: ", ";\n         border-bottom: 0px solid\n            ", ";\n         border-radius: 100px;\n         ", ";\n         ", ";\n         ", ";\n         z-index: 1;\n      }\n\n      .tab {\n         margin-top: 0px;\n         //text-transform: uppercase;\n         font-size: 14px;\n         height: 30px;\n         font-weight: 600;\n         text-align: center;\n         display: inline-block;\n         color: ", ";\n         z-index: 2;\n         position: relative;\n         line-height: 0px;\n         padding: 15px 17px;\n         border-radius: 100px;\n         transition: 0.3s all;\n\n         .skeleton {\n            color: #eee;\n            background: #eee;\n         }\n\n         &.active {\n            color: ", ";\n            transition: 0.3s all;\n            ", ";\n\n            .skeleton {\n               color: ", ";\n               background: transparent;\n            }\n\n            .badge {\n               background: ", ";\n            }\n         }\n\n         &:hover {\n            cursor: pointer;\n         }\n      }\n\n      .badge {\n         background: #cacaca;\n         color: white;\n         font-size: 11px;\n         margin-left: 5px;\n      }\n   }\n"], ["\n   .tabs {\n      white-space: nowrap;\n      overflow-x: auto;\n      overflow-y: hidden;\n      width: 100%;\n      position: relative;\n\n      .tab-selector {\n         content: '';\n         width: 55px;\n         height: 30px;\n         position: absolute;\n         background: ", ";\n         border-bottom: 0px solid\n            ", ";\n         border-radius: 100px;\n         ", ";\n         ", ";\n         ", ";\n         z-index: 1;\n      }\n\n      .tab {\n         margin-top: 0px;\n         //text-transform: uppercase;\n         font-size: 14px;\n         height: 30px;\n         font-weight: 600;\n         text-align: center;\n         display: inline-block;\n         color: ", ";\n         z-index: 2;\n         position: relative;\n         line-height: 0px;\n         padding: 15px 17px;\n         border-radius: 100px;\n         transition: 0.3s all;\n\n         .skeleton {\n            color: #eee;\n            background: #eee;\n         }\n\n         &.active {\n            color: ",
    ";\n            transition: 0.3s all;\n            ",
    ";\n\n            .skeleton {\n               color: ", ";\n               background: transparent;\n            }\n\n            .badge {\n               background: ", ";\n            }\n         }\n\n         &:hover {\n            cursor: pointer;\n         }\n      }\n\n      .badge {\n         background: #cacaca;\n         color: white;\n         font-size: 11px;\n         margin-left: 5px;\n      }\n   }\n"])), function (props) { var _a, _b; return (_b = (_a = props.backgroundActiveColor) !== null && _a !== void 0 ? _a : props.theme.primary) !== null && _b !== void 0 ? _b : theme_interface_1.ThemeDefault.primary; }, function (props) { var _a, _b; return (_b = (_a = props.backgroundActiveColor) !== null && _a !== void 0 ? _a : props.theme.primary) !== null && _b !== void 0 ? _b : theme_interface_1.ThemeDefault.primary; }, function (props) { return !props.activeButtonRounded && 'background: transparent;'; }, function (props) { return !props.activeButtonRounded && 'border-width: 2px;'; }, function (props) { return !props.activeButtonRounded && 'border-radius: 0px;'; }, function (props) { var _a; return (_a = props.textColor) !== null && _a !== void 0 ? _a : '#888'; }, function (props) { var _a, _b; return (_b = (_a = props.textActiveColor) !== null && _a !== void 0 ? _a : props.theme.primaryTextInside) !== null && _b !== void 0 ? _b : theme_interface_1.ThemeDefault.primaryTextInside; }, function (props) {
    var _a, _b;
    return !props.activeButtonRounded &&
        "color: " + ((_b = (_a = props.textActiveColor) !== null && _a !== void 0 ? _a : props.theme.primary) !== null && _b !== void 0 ? _b : theme_interface_1.ThemeDefault.primary) + ";";
}, function (props) { var _a, _b; return (_b = (_a = props.color) !== null && _a !== void 0 ? _a : props.theme.primary) !== null && _b !== void 0 ? _b : theme_interface_1.ThemeDefault.primary; }, function (props) { return props.theme.primary; });
var templateObject_1;
//# sourceMappingURL=Tabs.style.js.map