import React from 'react';
import { TextareaHeightChangeMeta } from 'react-textarea-autosize/dist/declarations/src';
export interface IPropsTextareaProps extends Omit<React.HTMLProps<HTMLTextAreaElement>, 'as' | 'onInput'> {
    name?: any;
    title?: any;
    error?: string;
    value?: string;
    onInput?: (text: string) => void;
    as?: any;
    defaultValue?: string;
    placeholder?: string;
    maxRows?: number;
    minRows?: number;
    onHeightChange?: (height: number, meta: TextareaHeightChangeMeta) => void;
    cacheMeasurements?: boolean;
}
//# sourceMappingURL=TextareaCore.interface.d.ts.map