import React from 'react';
import { storiesOf } from '@storybook/react';
import { Dropdown } from './index';

storiesOf('Components/Dropdown', module)
   .add('default', () => (
      <div className="m-4">
         <Dropdown
            options={[
               {
                  name: <b>Eren Yeager</b>,
                  value: 'yeager',
               },
               {
                  name: <b>Eren Krueger</b>,
                  value: 'kruger',
               },
            ]}
            onClick={() => {
               console.log('sdsd');
            }}
         >
            <button className="btn btn-dark" type="button">
               DropMenu
            </button>
         </Dropdown>
      </div>
   ))
   .add('check scroll to', () => (
      <div className="m-4">
         <div style={{ height: 400 }} />
         <Dropdown
            options={[
               {
                  name: <b>Eren Yeager</b>,
                  value: 'yeager',
               },
               {
                  name: <b>Eren Krueger</b>,
                  value: 'kruger',
               },
            ]}
            onClick={() => {
               console.log('sdsd');
            }}
         >
            <button className="btn btn-dark" type="button">
               DropMenu
            </button>
         </Dropdown>
         <div style={{ height: 400 }} />
      </div>
   ));
