import React, { InputHTMLAttributes } from 'react';

export interface IInputCounterCoreProps extends Omit<InputHTMLAttributes<HTMLInputElement>, 'prefix' | 'onInput'> {
   name: any; // name do input (Se name for definido Unnform será ativado)
   title?: any; // titulo do campo
   withoutDotNumber?: boolean; // quando mask for 'number', não mostra pontos nas casas de 1000
   value?: string; // value do input caso use com input state
   onInput?: (text: string) => void; // callback ao digitar no input
}
