import React from 'react';
import { IInputProps } from '../Input';

export interface IInputTagsTag {
   value: any;
   name: string;
}

export interface IPropsTagsInputTags {
   tag: IInputTagsTag;
   index: number;
   removeTag: () => void;
}

export type IInputTagsProps = IInputProps & {
   tags?: IInputTagsTag[]; // tags
   cleanAfterSelect?: boolean;
   onChange?: (tag: IInputTagsTag[]) => any; // tags
   CustomTag?: React.ComponentType<IPropsTagsInputTags>; // tags
};
