import React from 'react';

export type IActionsOptions = {
   id: any;
   item: JSX.Element | string | any;
   onPress: () => void;
}[];

export interface IPropsNavActions {
   options: IActionsOptions; // icones que irão aparecer no navactions
   selected: number; // quantidade de itens selecionados
   onUnselectAll: () => void; // callback ao zerar selected
   textColor?: string; // cor do texto
   backgroundColor?: string; // cor do fundo
}
