import styled from 'styled-components';

const css = styled.div;

export const HeaderContainerStyle = css<any>`
   border-bottom: 1px solid #eee;

   .header-listing-tabs-container {
      padding: 10px;
      padding-bottom: 0px;
      margin-top: -20px;
   }

   .page-listing-title {
      padding: 20px;

      h1 {
         font-weight: 600;
         font-size: 22px;
         margin: 0px;
      }
   }

   .text-skeleton {
      background: #eee;
      color: transparent;
      min-width: 300px;
   }

   @media (max-width: 1000px) {
      .page-listing-title {
         padding: 10px 14px;

         h1 {
            font-size: 20px;
         }
      }

      .header-listing-tabs-container {
         padding: 10px;
         padding-bottom: 0px;
         margin-top: -20px;
      }
   }
`;
