import styled from 'styled-components';

const css = styled.div;

export const Container = css`
   .page-modal-header {
      display: none;
   }

   .page-modal-actions {
      display: none;
   }
`;

export const Modal = css`
   max-width: 100%;
   background: white;
   z-index: 100;
   max-height: 100%;
   display: flex;
   flex-direction: column;
   position: relative;

   .page-modal-header {
      padding: 10px 20px;
      margin-right: 60px;
      font-size: 22px;
      font-weight: 600;
   }

   .page-modal-body {
      flex: 1;
      overflow: auto;
      padding: 10px 20px;
   }

   .page-modal-actions {
      padding: 20px;
      text-align: center;
   }

   .close-btn-float {
      position: absolute;
      right: 20px;
      top: 10px;
   }
`;
