export interface ISwitchProps {
   name?: any; // name do input (Se name for definido Unnform será ativado)
   title?: any; // titulo do campo
   valueTrue?: any; // valor do campo quando for checkbox for true
   valueFalse?: any; // valor do campo quando for checkbox for false
   checked?: boolean; // se checkbox está ou não ativo (funciona apenas se 'name' não estiver ativo)
   color?: string; // cor quando está ativo
   size?: number; // tamanho do checkbox
   disabled?: boolean; // desabilita input do checkbox
   rounded?: boolean;
   variant?: string;
   error?: string; // mensagem de erro
   onChange?: (v: any) => void; // callback ao mudar valor do checkbox
   as?: any;
}

export type ISwitchPureComponentProps = ISwitchProps;
