import styled from 'styled-components';

const css = styled.div;

export default css<any>`
   position: fixed;
   bottom: 0px;
   left: 0px;
   padding: 10px;
   max-width: 100%;
   z-index: 1000;

   ${(p) =>
      p.align == 'center' &&
      `
      left: 50%;
   transform: translateX(-50%);
   `}

   ${(p) =>
      p.align == 'right' &&
      `
      left: auto;
      right: 0px;
   `}

   ${(p) =>
      p.align == 'center' &&
      `
      left: 50%;
   transform: translateX(-50%);
   `}

   .close {
      float: right;
      font-size: 1rem;
      line-height: 1.5;
      color: #fff;
      text-shadow: none;
      opacity: 1;
      font-weight: 300;
   }
`;
