import React from 'react';
import { IRefAutoCompletePure } from '../AutocompletePure';
import { IAutoCompleteProps } from './Autocomplete.interface';
export declare const Autocomplete: React.ForwardRefExoticComponent<{
    renderRow?: (name: string, item: import("../AutocompletePure").IAutocompleteItem<any>, active: boolean, disabled: boolean) => JSX.Element;
    fetchItems?: (text: string) => import("rxjs").Observable<import("../AutocompletePure").IAutocompleteItem<any>[]>;
    items?: import("../AutocompletePure").IAutocompleteItem<any>[];
    initialSearch?: string;
    onSelect?: (select: string, item: import("../AutocompletePure").IAutocompleteItem<any>) => void;
    cleanItemsAfterSelect?: boolean;
    persistOpenAutoCompleteItemsAfterSelect?: boolean;
    NotFoundComponent?: React.ComponentType<any>;
    setError?: (error?: any) => any;
} & IAutoCompleteProps & React.RefAttributes<IRefAutoCompletePure>>;
//# sourceMappingURL=Autocomplete.d.ts.map