"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = __importDefault(require("styled-components"));
var GetThemeVar_1 = require("../../support/GetThemeVar");
var css = styled_components_1.default.div;
exports.default = css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n   position: relative;\n\n   .autocomplete-list {\n      border-radius: 5px;\n      margin-top: 5px;\n      position: absolute;\n      z-index: 10;\n      background: white;\n      width: 100%;\n      box-shadow: 0px 3px 11px rgba(0, 0, 0, 0.24);\n      max-height: 300px;\n      overflow: auto;\n\n      li {\n         list-style: none;\n      }\n\n      .item-row-autocomplete {\n         padding: 10px;\n         display: block;\n         font-weight: 500;\n         font-size: 12px;\n\n         &:not(.disabled) {\n            &:hover,\n            &.active {\n               cursor: pointer;\n               padding: 10px;\n               background: ", ";\n               color: ", ";\n               color: white;\n            }\n         }\n\n         &.disabled {\n            cursor: not-allowed;\n            opacity: 0.3;\n\n            &:hover {\n               background: transparent;\n               cursor: not-allowed;\n               color: initial;\n            }\n         }\n      }\n   }\n"], ["\n   position: relative;\n\n   .autocomplete-list {\n      border-radius: 5px;\n      margin-top: 5px;\n      position: absolute;\n      z-index: 10;\n      background: white;\n      width: 100%;\n      box-shadow: 0px 3px 11px rgba(0, 0, 0, 0.24);\n      max-height: 300px;\n      overflow: auto;\n\n      li {\n         list-style: none;\n      }\n\n      .item-row-autocomplete {\n         padding: 10px;\n         display: block;\n         font-weight: 500;\n         font-size: 12px;\n\n         &:not(.disabled) {\n            &:hover,\n            &.active {\n               cursor: pointer;\n               padding: 10px;\n               background: ", ";\n               color: ", ";\n               color: white;\n            }\n         }\n\n         &.disabled {\n            cursor: not-allowed;\n            opacity: 0.3;\n\n            &:hover {\n               background: transparent;\n               cursor: not-allowed;\n               color: initial;\n            }\n         }\n      }\n   }\n"])), function (props) { return GetThemeVar_1.GetThemeVar(props.theme, 'primary'); }, function (props) { return GetThemeVar_1.GetThemeVar(props.theme, 'primaryTextInside'); });
var templateObject_1;
//# sourceMappingURL=AutocompletePure.style.js.map