import React, { ButtonHTMLAttributes } from 'react';
export interface IPropsButton extends ButtonHTMLAttributes<HTMLButtonElement> {
    ref?: React.MutableRefObject<any>;
    onClick?: () => void;
    rounded?: boolean;
    outline?: boolean;
    bgColor?: string;
    w100?: boolean;
    type?: 'submit' | 'reset' | 'button';
    size?: 'lg' | 'md' | 'sm';
    variant?: 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'dark' | 'light' | 'link';
}
//# sourceMappingURL=Button.interface.d.ts.map