"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonStyle = void 0;
var polished_1 = require("polished");
var styled_components_1 = __importDefault(require("styled-components"));
var theme_interface_1 = require("../../types/theme.interface");
var css = styled_components_1.default.div;
exports.default = css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n   .btn-group {\n      display: block;\n      ", "\n      ", "\n   }\n"], ["\n   .btn-group {\n      display: block;\n      ", "\n      ", "\n   }\n"])), function (props) { return props.fullLine && "display: flex !important;"; }, function (props) { return props.oneLine && "overflow-y: scroll; display: flex;"; });
exports.ButtonStyle = css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n   font-weight: 500;\n   background: #eee;\n   margin-left: 0px !important;\n   padding: 5px 13px;\n   border: none;\n\n   ", "\n\n   ", "\n   ", "\n   ", "\n   ", "\n\n   // outline\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   \n   // rounded\n   ", "\n   \n   // background color\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   \n   // size\n  ", "\n  ", "\n   \n   // text color\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n\n   ", "\n   ", "\n   \n   // color text active\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   \n   // color text inactive\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   \n   &:hover {\n      // background color\n      ", "\n      ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n      \n   // text color\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   }\n"], ["\n   font-weight: 500;\n   background: #eee;\n   margin-left: 0px !important;\n   padding: 5px 13px;\n   border: none;\n\n   ", "\n\n   ", "\n   ", "\n   ", "\n   ", "\n\n   // outline\n   ", "\n   ", "\n   ", "\n   ",
    "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   \n   // rounded\n   ", "\n   \n   // background color\n   ",
    "\n   ",
    "\n   ",
    "\n   ", "\n   ",
    "\n   ",
    "\n   ", "\n   ", "\n   \n   // size\n  ", "\n  ", "\n   \n   // text color\n   ",
    "\n   ",
    "\n   ",
    "\n   ", "\n   ",
    "\n   ", "\n   ", "\n   ", "\n\n   ", "\n   ", "\n   \n   // color text active\n   ",
    "\n   ",
    "\n   ",
    "\n   ",
    "\n   ",
    "\n   ",
    "\n   ",
    "\n   ",
    "\n   \n   // color text inactive\n   ",
    "\n   ",
    "\n   ",
    "\n   ",
    "\n   ",
    "\n   ",
    "\n   ",
    "\n   ",
    "\n   \n   &:hover {\n      // background color\n      ",
    "\n      ",
    "\n   ",
    "\n   ", "\n   ",
    "\n   ", "\n   ", "\n   ", "\n      \n   // text color\n   ",
    "\n   ",
    "\n   ",
    "\n   ", "\n   ",
    "\n   ",
    "\n   ", "\n   ", "\n   }\n"])), function (props) { return props.variant === 'light' && "background: white;"; }, function (props) { return props.fullLine && "flex: 1;"; }, function (props) { return props.startRounded && "border-top-left-radius: 100px; border-bottom-left-radius: 100px;"; }, function (props) { return props.endRounded && "border-top-right-radius: 100px; border-bottom-right-radius: 100px;"; }, function (props) { return props.separate && "margin-right: 5px; margin-bottom: 5px;"; }, function (props) { return !props.active && props.outline && "background: white;"; }, function (props) { return props.outline && "border-top: 2px solid; border-bottom: 2px solid; border-left: 2px solid;"; }, function (props) { return props.outline && props.endBtn && "border-right: 2px solid;"; }, function (props) {
    return (!props.variant || props.variant === 'primary') &&
        "border-color: " + (props.defaultColor || props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";";
}, function (props) { return props.variant === 'secondary' && "border-color: " + (props.theme.secondary || theme_interface_1.ThemeDefault.secondary) + ";"; }, function (props) { return props.variant === 'success' && "border-color: " + (props.theme.success || theme_interface_1.ThemeDefault.success) + ";"; }, function (props) { return props.variant === 'info' && "border-color: " + (props.theme.info || theme_interface_1.ThemeDefault.info) + ";"; }, function (props) { return props.variant === 'warning' && "border-color: " + (props.theme.warning || theme_interface_1.ThemeDefault.warning) + ";"; }, function (props) { return props.variant === 'danger' && "border-color: " + (props.theme.danger || theme_interface_1.ThemeDefault.danger) + ";"; }, function (props) { return props.variant === 'light' && "border-color: " + (props.theme.light || theme_interface_1.ThemeDefault.light) + ";"; }, function (props) { return props.variant === 'dark' && "border-color: " + (props.theme.dark || theme_interface_1.ThemeDefault.dark) + ";"; }, function (props) { return props.rounded && "border-radius: 100px !important;"; }, function (props) {
    return props.active &&
        (!props.variant || props.variant === 'primary') &&
        "background: " + (props.defaultColor || props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";";
}, function (props) {
    return props.active &&
        props.variant === 'secondary' &&
        "background: " + (props.theme.secondary || theme_interface_1.ThemeDefault.secondary) + ";";
}, function (props) {
    return props.active && props.variant === 'success' && "background: " + (props.theme.success || theme_interface_1.ThemeDefault.success) + ";";
}, function (props) { return props.active && props.variant === 'info' && "background: " + (props.theme.info || theme_interface_1.ThemeDefault.info) + ";"; }, function (props) {
    return props.active && props.variant === 'warning' && "background: " + (props.theme.warning || theme_interface_1.ThemeDefault.warning) + ";";
}, function (props) {
    return props.active && props.variant === 'danger' && "background: " + (props.theme.danger || theme_interface_1.ThemeDefault.danger) + ";";
}, function (props) { return props.active && props.variant === 'light' && "background: " + (props.theme.light || theme_interface_1.ThemeDefault.light) + ";"; }, function (props) { return props.active && props.variant === 'dark' && "background: " + (props.theme.dark || theme_interface_1.ThemeDefault.dark) + ";"; }, function (props) { return props.size === 'sm' && "padding: 5px;"; }, function (props) { return props.size === 'lg' && "padding: 12px;"; }, function (props) {
    return props.outline &&
        props.variant === 'primary' &&
        "color: " + (props.defaultColor || props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";";
}, function (props) {
    return props.outline && props.variant === 'secondary' && "color: " + (props.theme.secondary || theme_interface_1.ThemeDefault.secondary) + ";";
}, function (props) {
    return props.outline && props.variant === 'success' && "color: " + (props.theme.success || theme_interface_1.ThemeDefault.success) + ";";
}, function (props) { return props.outline && props.variant === 'info' && "color: " + (props.theme.info || theme_interface_1.ThemeDefault.info) + ";"; }, function (props) {
    return props.outline && props.variant === 'warning' && "color: " + (props.theme.warning || theme_interface_1.ThemeDefault.warning) + ";";
}, function (props) { return props.outline && props.variant === 'danger' && "color: " + (props.theme.danger || theme_interface_1.ThemeDefault.danger) + ";"; }, function (props) { return props.outline && props.variant === 'light' && "color: " + (props.theme.light || theme_interface_1.ThemeDefault.light) + ";"; }, function (props) { return props.outline && props.variant === 'dark' && "color: " + (props.theme.dark || theme_interface_1.ThemeDefault.dark) + ";"; }, function (props) { return props.background && !props.outline && "background-color: " + props.background + ";"; }, function (props) { return props.background && props.outline && "color: " + props.background + "; border-color: " + props.background + ";"; }, function (props) {
    return props.active &&
        (!props.variant || props.variant === 'primary') &&
        "color: " + (props.theme.primaryTextInside || theme_interface_1.ThemeDefault.primaryTextInside) + ";";
}, function (props) {
    return props.active &&
        props.variant === 'secondary' &&
        "color: " + (props.theme.secondaryTextInside || theme_interface_1.ThemeDefault.secondaryTextInside) + ";";
}, function (props) {
    return props.active &&
        props.variant === 'success' &&
        "color: " + (props.theme.successTextInside || theme_interface_1.ThemeDefault.successTextInside) + ";";
}, function (props) {
    return props.active &&
        props.variant === 'info' &&
        "color: " + (props.theme.infoTextInside || theme_interface_1.ThemeDefault.infoTextInside) + ";";
}, function (props) {
    return props.active &&
        props.variant === 'warning' &&
        "color: " + (props.theme.warningTextInside || theme_interface_1.ThemeDefault.warningTextInside) + ";";
}, function (props) {
    return props.active &&
        props.variant === 'danger' &&
        "color: " + (props.theme.dangerTextInside || theme_interface_1.ThemeDefault.dangerTextInside) + ";";
}, function (props) {
    return props.active &&
        props.variant === 'light' &&
        "color: " + (props.theme.lightTextInside || theme_interface_1.ThemeDefault.lightTextInside) + ";";
}, function (props) {
    return props.active &&
        props.variant === 'dark' &&
        "color: " + (props.theme.darkTextInside || theme_interface_1.ThemeDefault.darkTextInside) + ";";
}, function (props) {
    return !props.active &&
        props.outline &&
        (!props.variant || props.variant === 'primary') &&
        "color: " + (props.defaultColor || props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";";
}, function (props) {
    return !props.active &&
        props.outline &&
        props.variant === 'secondary' &&
        "color: " + (props.theme.secondary || theme_interface_1.ThemeDefault.secondary) + ";";
}, function (props) {
    return !props.active &&
        props.outline &&
        props.variant === 'success' &&
        "color: " + (props.theme.success || theme_interface_1.ThemeDefault.success) + ";";
}, function (props) {
    return !props.active && props.outline && props.variant === 'info' && "color: " + (props.theme.info || theme_interface_1.ThemeDefault.info) + ";";
}, function (props) {
    return !props.active &&
        props.outline &&
        props.variant === 'warning' &&
        "color: " + (props.theme.warning || theme_interface_1.ThemeDefault.warning) + ";";
}, function (props) {
    return !props.active &&
        props.outline &&
        props.variant === 'danger' &&
        "color: " + (props.theme.danger || theme_interface_1.ThemeDefault.danger) + ";";
}, function (props) {
    return !props.active &&
        props.outline &&
        props.variant === 'light' &&
        "color: " + (props.theme.light || theme_interface_1.ThemeDefault.light) + ";";
}, function (props) {
    return !props.active && props.outline && props.variant === 'dark' && "color: " + (props.theme.dark || theme_interface_1.ThemeDefault.dark) + ";";
}, function (props) {
    return (!props.variant || props.variant === 'primary') &&
        "background: " + polished_1.lighten(0.1, props.defaultColor || props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";";
}, function (props) {
    return props.variant === 'secondary' &&
        "background: " + polished_1.lighten(0.1, props.theme.secondary || theme_interface_1.ThemeDefault.secondary) + ";";
}, function (props) {
    return props.variant === 'success' && "background: " + polished_1.lighten(0.1, props.theme.success || theme_interface_1.ThemeDefault.success) + ";";
}, function (props) { return props.variant === 'info' && "background: " + polished_1.lighten(0.1, props.theme.info || theme_interface_1.ThemeDefault.info) + ";"; }, function (props) {
    return props.variant === 'warning' && "background: " + polished_1.lighten(0.1, props.theme.warning || theme_interface_1.ThemeDefault.warning) + ";";
}, function (props) { return props.variant === 'danger' && "background: " + polished_1.lighten(0.1, props.theme.danger || theme_interface_1.ThemeDefault.danger) + ";"; }, function (props) { return props.variant === 'light' && "background: " + polished_1.lighten(0.1, props.theme.light || theme_interface_1.ThemeDefault.light) + ";"; }, function (props) { return props.variant === 'dark' && "background: " + polished_1.lighten(0.1, props.theme.dark || theme_interface_1.ThemeDefault.dark) + ";"; }, function (props) {
    return (!props.variant || props.variant === 'primary') &&
        "color: " + (props.theme.primaryTextInside || theme_interface_1.ThemeDefault.primaryTextInside) + ";";
}, function (props) {
    return props.variant === 'secondary' &&
        "color: " + (props.theme.secondaryTextInside || theme_interface_1.ThemeDefault.secondaryTextInside) + ";";
}, function (props) {
    return props.variant === 'success' && "color: " + (props.theme.successTextInside || theme_interface_1.ThemeDefault.successTextInside) + ";";
}, function (props) { return props.variant === 'info' && "color: " + (props.theme.infoTextInside || theme_interface_1.ThemeDefault.infoTextInside) + ";"; }, function (props) {
    return props.variant === 'warning' && "color: " + (props.theme.warningTextInside || theme_interface_1.ThemeDefault.warningTextInside) + ";";
}, function (props) {
    return props.variant === 'danger' && "color: " + (props.theme.dangerTextInside || theme_interface_1.ThemeDefault.dangerTextInside) + ";";
}, function (props) { return props.variant === 'light' && "color: " + (props.theme.lightTextInside || theme_interface_1.ThemeDefault.lightTextInside) + ";"; }, function (props) { return props.variant === 'dark' && "color: " + (props.theme.darkTextInside || theme_interface_1.ThemeDefault.darkTextInside) + ";"; });
var templateObject_1, templateObject_2;
//# sourceMappingURL=ButtonGroup.style.js.map