export interface PHeader {
    logo: string;
    user: {
        name: string;
        image?: string;
        sub?: string | JSX.Element;
    };
    menuUserBar?: {
        title: string | JSX.Element;
        route: string;
    }[];
    menu: {
        title: string | JSX.Element;
        route: string;
        opened?: boolean;
        subMenu?: {
            title: string | JSX.Element;
            route: string;
        }[];
    }[];
    homeLink?: string;
    contentBeforeUser?: JSX.Element;
    __openUserMenuInfo?: boolean;
    __menuMobileOpen?: boolean;
}
export interface PHeaderChild extends PHeader {
    openUserMenuInfo: boolean;
    menuMobile: boolean;
    closeUserMenuInfo: () => any;
    toggleUserMenuInfo: () => any;
    toggleMenuMobile: () => any;
}
export interface SHeader {
    openUserMenuInfo: boolean;
    menuOpen: boolean;
}
//# sourceMappingURL=header.interface.d.ts.map