"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalStyle = exports.ModalContainerStyle = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var css = styled_components_1.default.div;
exports.ModalContainerStyle = css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n   @keyframes fadeIn {\n      0% {\n         opacity: 0;\n      }\n      100% {\n         opacity: 1;\n      }\n   }\n\n   @keyframes fadeOut {\n      0% {\n         opacity: 1;\n      }\n      100% {\n         opacity: 0;\n      }\n   }\n\n   @keyframes slideDownIn {\n      0% {\n         transform: translateY(100%);\n      }\n      100% {\n         transform: translateY(0%);\n      }\n   }\n\n   @keyframes slideDownOut {\n      0% {\n         transform: translateY(0%);\n      }\n      100% {\n         transform: translateY(100%);\n      }\n   }\n\n   .ds-modal-container {\n      width: 100%;\n      height: 100%;\n      position: fixed;\n      top: 0;\n      left: 0;\n      transform: translate3d(0, 0, 0);\n      z-index: 1000;\n      display: flex;\n      align-items: center;\n      justify-content: center;\n      animation: 0.3s ", "In;\n      ", ";\n\n      &.closing {\n         animation: 0.3s ", "Out;\n         animation-fill-mode: forwards;\n         ", ";\n      }\n\n      .bg-background {\n         background: rgba(0, 0, 0, 0.8);\n         width: 100%;\n         height: 100%;\n         top: 0;\n         left: 0;\n         position: absolute;\n      }\n\n      .modal-content {\n         width: auto !important;\n      }\n   }\n"], ["\n   @keyframes fadeIn {\n      0% {\n         opacity: 0;\n      }\n      100% {\n         opacity: 1;\n      }\n   }\n\n   @keyframes fadeOut {\n      0% {\n         opacity: 1;\n      }\n      100% {\n         opacity: 0;\n      }\n   }\n\n   @keyframes slideDownIn {\n      0% {\n         transform: translateY(100%);\n      }\n      100% {\n         transform: translateY(0%);\n      }\n   }\n\n   @keyframes slideDownOut {\n      0% {\n         transform: translateY(0%);\n      }\n      100% {\n         transform: translateY(100%);\n      }\n   }\n\n   .ds-modal-container {\n      width: 100%;\n      height: 100%;\n      position: fixed;\n      top: 0;\n      left: 0;\n      transform: translate3d(0, 0, 0);\n      z-index: 1000;\n      display: flex;\n      align-items: center;\n      justify-content: center;\n      animation: 0.3s ", "In;\n      ", ";\n\n      &.closing {\n         animation: 0.3s ", "Out;\n         animation-fill-mode: forwards;\n         ", ";\n      }\n\n      .bg-background {\n         background: rgba(0, 0, 0, 0.8);\n         width: 100%;\n         height: 100%;\n         top: 0;\n         left: 0;\n         position: absolute;\n      }\n\n      .modal-content {\n         width: auto !important;\n      }\n   }\n"])), function (p) { return p.animation; }, function (p) { return p.disableAnimation && 'animation: none;'; }, function (p) { return p.animation; }, function (p) { return p.disableAnimation && 'animation: none;'; });
exports.ModalStyle = css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n   background: white;\n   margin: auto;\n   //border-radius: 15px;\n   position: relative;\n\n   &.full-screen {\n      border-radius: 0px;\n      height: 100%;\n      width: 100%;\n      max-width: 800px;\n   }\n"], ["\n   background: white;\n   margin: auto;\n   //border-radius: 15px;\n   position: relative;\n\n   &.full-screen {\n      border-radius: 0px;\n      height: 100%;\n      width: 100%;\n      max-width: 800px;\n   }\n"])));
var templateObject_1, templateObject_2;
//# sourceMappingURL=Modal.style.js.map