"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = __importDefault(require("styled-components"));
var GetThemeVar_1 = require("../../support/GetThemeVar");
var css = styled_components_1.default.div;
exports.default = css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n   .pagination {\n      text-align: center;\n      display: table;\n      margin: auto;\n      user-select: none;\n      ", ";\n\n      .page {\n         font-weight: 600;\n         font-size: 14px;\n         border-radius: 500px;\n         width: 30px;\n         height: 30px;\n         text-align: center;\n         line-height: 30px;\n         margin: 0px 3px;\n         display: inline-block;\n\n         &.active {\n            background: ", ";\n            color: ", ";\n\n            &:hover {\n               cursor: auto;\n               background: ", ";\n            }\n         }\n\n         &:hover {\n            cursor: pointer;\n            background: #eee;\n         }\n\n         &.disabled {\n            background: transparent;\n         }\n      }\n   }\n"], ["\n   .pagination {\n      text-align: center;\n      display: table;\n      margin: auto;\n      user-select: none;\n      ", ";\n\n      .page {\n         font-weight: 600;\n         font-size: 14px;\n         border-radius: 500px;\n         width: 30px;\n         height: 30px;\n         text-align: center;\n         line-height: 30px;\n         margin: 0px 3px;\n         display: inline-block;\n\n         &.active {\n            background: ", ";\n            color: ", ";\n\n            &:hover {\n               cursor: auto;\n               background: ", ";\n            }\n         }\n\n         &:hover {\n            cursor: pointer;\n            background: #eee;\n         }\n\n         &.disabled {\n            background: transparent;\n         }\n      }\n   }\n"])), function (props) { return props.textColor && "color: " + props.textColor + ";"; }, function (props) { var _a; return (_a = props.activeBgColor) !== null && _a !== void 0 ? _a : GetThemeVar_1.GetThemeVar(props.theme, 'primary'); }, function (props) { var _a, _b; return (_b = (_a = props.activeTextColor) !== null && _a !== void 0 ? _a : GetThemeVar_1.GetThemeVar(props.theme, 'primaryTextInside')) !== null && _b !== void 0 ? _b : 'white'; }, function (props) { var _a; return (_a = props.activeBgColor) !== null && _a !== void 0 ? _a : GetThemeVar_1.GetThemeVar(props.theme, 'primary'); });
var templateObject_1;
//# sourceMappingURL=Pagination.style.js.map