"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Container = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var css = styled_components_1.default.div;
exports.Container = css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n   background: ", ";\n   height: ", ";\n   width: ", ";\n   position: relative;\n   transition: 0.3s all;\n   overflow: hidden;\n   //user-select: none;\n\n   .overlay {\n      position: absolute;\n      z-index: 1;\n      width: 100%;\n      height: 100%;\n      cursor: pointer;\n   }\n\n   .full-screen-slider {\n      transition: transform 300ms ease-in-out;\n   }\n\n   .slide-media-fullscreen--close-mobile {\n      position: fixed;\n      right: 5px;\n      top: 5px;\n      width: 40px;\n      height: 40px;\n      z-index: 200;\n      border-radius: 300px;\n      background: rgba(0, 0, 0, 0.6);\n      padding: 7px;\n      line-height: 0px;\n   }\n\n   .image-count {\n      -webkit-transform: translateX(-50%);\n      bottom: 10px;\n      color: #fff;\n      left: 50%;\n      position: absolute;\n      transform: translateX(-50%);\n      z-index: 4;\n      background: #000;\n      padding: 4px 10px;\n      font-size: 13px;\n      font-weight: bold;\n\n      ", "\n\n      ", "\n\n      ", "\n\n      ", "\n\n      ", "\n\n      ", "\n   }\n\n   .main {\n      left: 50%;\n      position: absolute;\n      top: 50%;\n      transform: translate(-50%, -50%);\n      width: 100%;\n      height: 100%;\n      z-index: 2;\n   }\n\n   ul {\n      height: 100%;\n      margin: 0;\n      padding: 0;\n      position: relative;\n      white-space: nowrap;\n      width: 100%;\n\n      li {\n         display: inline-block;\n         height: 100%;\n         list-style: none;\n         margin: 0;\n         padding: 0;\n         position: relative;\n         width: 100%;\n\n         img {\n            left: 50%;\n            position: absolute;\n            top: 50%;\n            transform: translate(-50%, -50%);\n            max-width: 100%;\n            max-height: 100%;\n            z-index: 2;\n            cursor: pointer;\n         }\n      }\n   }\n\n   .slider-image {\n      background: transparent;\n      cursor: pointer;\n      height: 100%;\n      overflow: hidden;\n      position: relative;\n      width: 100%;\n\n      img {\n         max-height: 90%;\n         max-width: 1200px;\n         width: 100%;\n         z-index: 2;\n\n         &.rot0 {\n            transform: translate(-50%, -50%) rotateZ(0deg);\n         }\n\n         &.rot90 {\n            transform: translate(-50%, -50%) rotateZ(90deg);\n         }\n\n         &.rot180 {\n            transform: translate(-50%, -50%) rotateZ(180deg);\n         }\n\n         &.rot270 {\n            transform: translate(-50%, -50%) rotateZ(270deg);\n         }\n      }\n   }\n\n   .arrow {\n      background: rgba(0, 0, 0, 0.8);\n      border-radius: 0;\n      color: #fff;\n      cursor: pointer;\n      font-size: ", "px;\n      height: ", "px;\n      line-height: ", "px;\n      width: ", "px;\n      position: absolute;\n      text-align: center;\n      top: 50%;\n      transform: translateY(-50%) scale(1);\n      z-index: 10;\n\n      &.disabled {\n         opacity: 0.2;\n      }\n\n      &.left {\n         left: 0;\n         z-index: 100;\n      }\n\n      &.right {\n         right: 0;\n         z-index: 100;\n      }\n   }\n"], ["\n   background: ", ";\n   height: ", ";\n   width: ", ";\n   position: relative;\n   transition: 0.3s all;\n   overflow: hidden;\n   //user-select: none;\n\n   .overlay {\n      position: absolute;\n      z-index: 1;\n      width: 100%;\n      height: 100%;\n      cursor: pointer;\n   }\n\n   .full-screen-slider {\n      transition: transform 300ms ease-in-out;\n   }\n\n   .slide-media-fullscreen--close-mobile {\n      position: fixed;\n      right: 5px;\n      top: 5px;\n      width: 40px;\n      height: 40px;\n      z-index: 200;\n      border-radius: 300px;\n      background: rgba(0, 0, 0, 0.6);\n      padding: 7px;\n      line-height: 0px;\n   }\n\n   .image-count {\n      -webkit-transform: translateX(-50%);\n      bottom: 10px;\n      color: #fff;\n      left: 50%;\n      position: absolute;\n      transform: translateX(-50%);\n      z-index: 4;\n      background: #000;\n      padding: 4px 10px;\n      font-size: 13px;\n      font-weight: bold;\n\n      ",
    "\n\n      ",
    "\n\n      ",
    "\n\n      ",
    "\n\n      ",
    "\n\n      ",
    "\n   }\n\n   .main {\n      left: 50%;\n      position: absolute;\n      top: 50%;\n      transform: translate(-50%, -50%);\n      width: 100%;\n      height: 100%;\n      z-index: 2;\n   }\n\n   ul {\n      height: 100%;\n      margin: 0;\n      padding: 0;\n      position: relative;\n      white-space: nowrap;\n      width: 100%;\n\n      li {\n         display: inline-block;\n         height: 100%;\n         list-style: none;\n         margin: 0;\n         padding: 0;\n         position: relative;\n         width: 100%;\n\n         img {\n            left: 50%;\n            position: absolute;\n            top: 50%;\n            transform: translate(-50%, -50%);\n            max-width: 100%;\n            max-height: 100%;\n            z-index: 2;\n            cursor: pointer;\n         }\n      }\n   }\n\n   .slider-image {\n      background: transparent;\n      cursor: pointer;\n      height: 100%;\n      overflow: hidden;\n      position: relative;\n      width: 100%;\n\n      img {\n         max-height: 90%;\n         max-width: 1200px;\n         width: 100%;\n         z-index: 2;\n\n         &.rot0 {\n            transform: translate(-50%, -50%) rotateZ(0deg);\n         }\n\n         &.rot90 {\n            transform: translate(-50%, -50%) rotateZ(90deg);\n         }\n\n         &.rot180 {\n            transform: translate(-50%, -50%) rotateZ(180deg);\n         }\n\n         &.rot270 {\n            transform: translate(-50%, -50%) rotateZ(270deg);\n         }\n      }\n   }\n\n   .arrow {\n      background: rgba(0, 0, 0, 0.8);\n      border-radius: 0;\n      color: #fff;\n      cursor: pointer;\n      font-size: ", "px;\n      height: ", "px;\n      line-height: ", "px;\n      width: ", "px;\n      position: absolute;\n      text-align: center;\n      top: 50%;\n      transform: translateY(-50%) scale(1);\n      z-index: 10;\n\n      &.disabled {\n         opacity: 0.2;\n      }\n\n      &.left {\n         left: 0;\n         z-index: 100;\n      }\n\n      &.right {\n         right: 0;\n         z-index: 100;\n      }\n   }\n"])), function (p) { return p.bgColor; }, function (p) { return p.height; }, function (p) { return p.width; }, function (p) {
    return p.boxCountPos === 'top-left' &&
        "\n            left: 10px;\n            top: 10px;\n            right: auto;\n            bottom: auto;\n            transform: translateX(0);\n         ";
}, function (p) {
    return p.boxCountPos === 'top-center' &&
        "\n            left: 50%;\n            top: 10px;\n            right: auto;\n            bottom: auto;\n            transform: translateX(-50%);\n         ";
}, function (p) {
    return p.boxCountPos === 'top-right' &&
        "\n            right: 10px;\n            top: 10px;\n            left: auto;\n            bottom: auto;\n            transform: translateX(0);\n         ";
}, function (p) {
    return p.boxCountPos === 'bottom-left' &&
        "\n            left: 10px;\n            bottom: 10px;\n            right: auto;\n            top: auto;\n            transform: translateX(0);\n         ";
}, function (p) {
    return p.boxCountPos === 'bottom-center' &&
        "\n            left: 50%;\n            bottom: 10px;\n            right: auto;\n            top: auto;\n            transform: translateX(-50%);\n         ";
}, function (p) {
    return p.boxCountPos === 'bottom-right' &&
        "\n            right: 10px;\n            bottom: 10px;\n            left: auto;\n            top: auto;\n            transform: translateX(0);\n         ";
}, function (p) { return (p.arrowSize / 60) * 22; }, function (p) { return p.arrowSize * 1.4; }, function (p) { return p.arrowSize * 1.4; }, function (p) { return p.arrowSize; });
var templateObject_1;
//# sourceMappingURL=Slider.style.js.map