export interface IItemsAlertBtn {
   text: string; // Texto do botão
   color?: string; // Cor do texto do botão
   bgColor?: string; // Cor de fundo do botão
   onPress?: () => void; // Evento ao pressionar
   style?: 'default' | 'cancel'; // estilo do botão
}

export interface IItemsAlert {
   title: string | JSX.Element; // Titulo do Alerta
   icon?: JSX.Element | any; // Ícone do Alerta
   iconColor?: string; // Cor do ícone
   titleColor?: string; // Cor do Título
   message?: string | JSX.Element; // Mensagem do titulo
   onClose?: () => void; // Evento ao fechar Alerta
   buttons: IItemsAlertBtn[]; // Botões que irão aparecer no modal
}
