import React from 'react';
import AppContext, { IAppContext } from './AppContext';

export interface IAppProviderProps {
   initialData: IAppContext;
   children: any;
}

export const AppProvider: React.FC<IAppProviderProps> = ({ initialData = {}, children }: IAppProviderProps) => {
   return <AppContext.Provider value={initialData}>{children}</AppContext.Provider>;
};
