import styled from 'styled-components';
import { GetThemeVar } from '../../support/GetThemeVar';

const css = styled.div;

export default css<any>`
   .button-action {
      height: 100%;
      align-self: center;
      align-content: center;
      align-items: center;
      display: flex;
      padding: 5px;
      cursor: pointer;
      color: ${(p) => GetThemeVar(p.theme, 'primary')};
   }

   .input-border {
      -moz-user-select: none;
      -khtml-user-select: none;
      -webkit-user-select: none;
      -ms-user-select: none;
      user-select: none;
   }
`;
