import styled from 'styled-components';

const css = styled.div;

export const Container = css<any>`
   display: flex;
   height: 100%;
   position: relative;

   .col-filters {
      width: 320px;
      background: #faf9fa;
   }

   .col-listing {
      scroll-behavior: smooth;
      flex: 1;
      position: relative;
      overflow-y: auto;
      min-height: 0;
      display: flex;
      flex-direction: column;
      height: 100%;
      min-height: 0;
      width: 100%;

      .col-listing--inner {
         flex: 1;
         position: relative;
         overflow-y: auto;
         min-height: 0;
         display: flex;
         flex-direction: column;
         height: 100%;
         min-height: 0;
         width: 100%;
      }
   }

   @media (max-width: 1000px) {
      .col-filters {
         width: auto;
      }

      .col-listing {
      }
   }
`;
