import styled from 'styled-components';
import { ThemeDefault } from '../../types/theme.interface';

const css = styled.div;

export default css<any>`
   .password-btn {
      :hover {
         cursor: pointer;
         color: ${(p) => p.theme.primary ?? ThemeDefault.primary};
      }
   }

   .input-border {
      height: auto;
      min-height: 40px;
   }

   textarea {
      resize: none;
      padding: 7px 10px;
      width: 100%;
      border: none;
      flex: 1;
      background: transparent;
      font-size: 14px;
      font-weight: 500;
   }
`;
